OpenShot Audio Library | OpenShotAudio: juce::JSONUtils Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::JSONUtils Struct Reference

`#include <juce_JSONUtils.h>`

## Public Member Functions
| JSONUtils ()=delete

## Static Public Member Functions
static std::optional< var > | setPointer (const var &v, String pointer, const var &newValue)
static var | makeObject (const std::map< Identifier, var > &source)
static var | makeObjectWithKeyFirst (const std::map< Identifier, var > &source, Identifier key)
static bool | deepEqual (const var &a, const var &b)

## Detailed Description

A mini namespace to hold utility functions for working with juce::vars.

Definition at line 31 of file juce_JSONUtils.h.

## Constructor & Destructor Documentation

## ◆ JSONUtils()

juce::JSONUtils::JSONUtils | ( |  | ) |
| delete

No constructor.

## Member Function Documentation

## ◆ deepEqual()

bool juce::JSONUtils::deepEqual | ( | const var & | a,
|  | const var & | b )
| static

Returns true if and only if the contents of a match the contents of b.

Unlike var::operator==, this will recursively check that contained DynamicObject and Array instances compare equal.

Definition at line 115 of file juce_JSONUtils.cpp.

Referenced by deepEqual().

## ◆ makeObject()

var juce::JSONUtils::makeObject | ( | const std::map< Identifier, var > & | source | ) |
| static

Converts the provided key/value pairs into a JSON object.

Definition at line 26 of file juce_JSONUtils.cpp.

## ◆ makeObjectWithKeyFirst()

var juce::JSONUtils::makeObjectWithKeyFirst | ( | const std::map< Identifier, var > & | source,
|  | Identifier | key )
| static

Converts the provided key/value pairs into a JSON object with the provided key at the first position in the object.

This is useful because the MIDI-CI spec requires that certain fields (e.g. status) should be placed at the beginning of a MIDI-CI header.

Definition at line 36 of file juce_JSONUtils.cpp.

## ◆ setPointer()

std::optional< var > juce::JSONUtils::setPointer | ( | const var & | v,
|  | String | pointer,
|  | const var & | newValue )
| static

Given a JSON array/object 'v', a string representing a JSON pointer, and a new property value 'newValue', returns a copy of 'v' where the property or array index referenced by the pointer has been set to 'newValue'.

If the pointer cannot be followed, due to referencing missing array indices or fields, then this returns nullopt.

For more details, check the JSON Pointer RFC 6901: https://datatracker.ietf.org/doc/html/rfc6901

Definition at line 51 of file juce_JSONUtils.cpp.

Referenced by setPointer().

The documentation for this struct was generated from the following files:

- juce_JSONUtils.h
- juce_JSONUtils.cpp